You can fetch a list of all folders for organizing content by making a GET request to https://api.intercom.io/folders.
Requires the read_articles_scope or read_write_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/folders
- The european API serverhttps://api.eu.intercom.io/folders
- The australian API serverhttps://api.au.intercom.io/folders
curl -i -X GET \
'https://api.intercom.io/folders?page=1&per_page=50&parent_folder_id=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful. pages.page and pages.per_page are returned as strings when you send page and per_page in the request, and as integers otherwise.
The folders on this page. Unlike when you retrieve a single folder, the keys description, emoji and parent_folder_id are omitted when they are null.
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 } }